package sk.stuba.fiit.dp.xhudecm1.smsgatewayserverdbmapper;
// Generated Apr 28, 2017 12:20:54 PM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.SEQUENCE;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * GatewayModems generated by hbm2java
 */
@Entity
@Table(name="gateway_modems"
    ,schema="public"
)
public class GatewayModems  implements java.io.Serializable {


     private Long id;
     private ClassOperatorType classOperatorType;
     private String name;
     private String manufacturer;
     private String serialPort;
     private String simPin;
     private String imei;
     private String phoneNumber;
     private String status;
     private Integer hitCount;
     private Set<UnhandledSmsReceived> unhandledSmsReceiveds = new HashSet<UnhandledSmsReceived>(0);
     private Set<SmsSent> smsSents = new HashSet<SmsSent>(0);
     private Set<SmsReceived> smsReceiveds = new HashSet<SmsReceived>(0);

    public GatewayModems() {
    }

    public GatewayModems(ClassOperatorType classOperatorType, String name, String manufacturer, String serialPort, String simPin, String imei, String phoneNumber, String status, Integer hitCount, Set<UnhandledSmsReceived> unhandledSmsReceiveds, Set<SmsSent> smsSents, Set<SmsReceived> smsReceiveds) {
       this.classOperatorType = classOperatorType;
       this.name = name;
       this.manufacturer = manufacturer;
       this.serialPort = serialPort;
       this.simPin = simPin;
       this.imei = imei;
       this.phoneNumber = phoneNumber;
       this.status = status;
       this.hitCount = hitCount;
       this.unhandledSmsReceiveds = unhandledSmsReceiveds;
       this.smsSents = smsSents;
       this.smsReceiveds = smsReceiveds;
    }
   
     @SequenceGenerator(name="generator", sequenceName="gateway_modems_id_seq")@Id @GeneratedValue(strategy=SEQUENCE, generator="generator")

    
    @Column(name="id", unique=true, nullable=false)
    public Long getId() {
        return this.id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="operator_id")
    public ClassOperatorType getClassOperatorType() {
        return this.classOperatorType;
    }
    
    public void setClassOperatorType(ClassOperatorType classOperatorType) {
        this.classOperatorType = classOperatorType;
    }

    
    @Column(name="name")
    public String getName() {
        return this.name;
    }
    
    public void setName(String name) {
        this.name = name;
    }

    
    @Column(name="manufacturer")
    public String getManufacturer() {
        return this.manufacturer;
    }
    
    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    
    @Column(name="serial_port")
    public String getSerialPort() {
        return this.serialPort;
    }
    
    public void setSerialPort(String serialPort) {
        this.serialPort = serialPort;
    }

    
    @Column(name="sim_pin")
    public String getSimPin() {
        return this.simPin;
    }
    
    public void setSimPin(String simPin) {
        this.simPin = simPin;
    }

    
    @Column(name="imei")
    public String getImei() {
        return this.imei;
    }
    
    public void setImei(String imei) {
        this.imei = imei;
    }

    
    @Column(name="phone_number")
    public String getPhoneNumber() {
        return this.phoneNumber;
    }
    
    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    
    @Column(name="status")
    public String getStatus() {
        return this.status;
    }
    
    public void setStatus(String status) {
        this.status = status;
    }

    
    @Column(name="hit_count")
    public Integer getHitCount() {
        return this.hitCount;
    }
    
    public void setHitCount(Integer hitCount) {
        this.hitCount = hitCount;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="gatewayModems")
    public Set<UnhandledSmsReceived> getUnhandledSmsReceiveds() {
        return this.unhandledSmsReceiveds;
    }
    
    public void setUnhandledSmsReceiveds(Set<UnhandledSmsReceived> unhandledSmsReceiveds) {
        this.unhandledSmsReceiveds = unhandledSmsReceiveds;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="gatewayModems")
    public Set<SmsSent> getSmsSents() {
        return this.smsSents;
    }
    
    public void setSmsSents(Set<SmsSent> smsSents) {
        this.smsSents = smsSents;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="gatewayModems")
    public Set<SmsReceived> getSmsReceiveds() {
        return this.smsReceiveds;
    }
    
    public void setSmsReceiveds(Set<SmsReceived> smsReceiveds) {
        this.smsReceiveds = smsReceiveds;
    }




}


